---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: users-database-policy
  namespace: users
spec:
  podSelector:
    matchLabels:
      app: users-mysql
  policyTypes:
    - Ingress
  ingress:
    - from:
        - podSelector:
            matchLabels:
              app: users
      ports:
        - protocol: TCP
          port: 3306
